function [J, vd, min, x, y] = similarity(x0, y0, bins)
    I = imread('clown.tif');
    
    w = 106;
    h = 192;
    J = uint8(zeros(h, w, 5, 4));
    
    for i=1:5
        for j=1:4
            J(:,:,i,j) = I((j*h-h+1):j*h, (i*w-w+1):i*w);
        end
    end

    counts = zeros(5, 4, bins);
    vd = zeros(5, 4);
    
    for i=1:5
        for j=1:4
            [counts(i, j, :), x] = imhist(J(:,:,i,j), bins);
        end
    end
    
    for i=1:5
        for j=1:4
            if (x0==i)&(y0==j)
                vd(i,j) = 1;
            else
                uv = sum(counts(i,j,:).*counts(x0,y0, :));
                u2 = sum(counts(i,j,:).*counts(i, j, :));
                v2 = sum(counts(x0, y0, :).*counts(x0, y0, :));
                
                vd(i,j) = 1.0 - uv/sqrt(u2*v2);
            end
        end
    end
    
    min = 2;
    x = -1;
    y = -1;
    for i=1:5
        for j=1:4
            if (min>vd(i,j))
                x = i;
                y = j;
                min = vd(i,j);
            end
        end
    end
    
end
